### Method

# Ide TestManager get_tests

#### Declaration

    GPtrArray*
    ide_test_manager_get_tests (
      IdeTestManager* self,
      const gchar* path
    )

#### Description

Locates and returns any `IdeTest` that is found as a direct child of `path`.

Available since: | 3.32

#### Parameters

`path` | `const gchar*`
| The path to the test or `NULL` for the root path.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | An array of `IdeTest*`
| An array of `IdeTest`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.